#pragma once

#include <GL/glew.h>
#include <GL/gl.h>

#include "../COMMON.h"

typedef struct VBO
{
	GLuint handle;
	GLint type;
	bool isDynamic;
} VBO;

void vbo_buffer(VBO* self, size_t size, void* data);
void vbo_bind(VBO* self);
void vbo_free(VBO* self);
void vbo_init(VBO* self, GLint type, bool isDynamic);
